# -*- rpm-spec -*-

%define _extra_release %{?extra_release:%{extra_release}}

Name: olpc-sdk
Version: 0.4
Release: 1%{_extra_release}
Summary: OLPC Software Development Kit

Group:	Development/Tools
License: GPL v2+
URL: http://people.redhat.com/berrange/olpc/sdk/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: perl-QEMU-Manager >= 0.0.2
Requires: qemu >= 0.8.0-4
Requires: system-config-qemu
Requires: perl-Net-DBus >= 0.33.1
BuildArchitectures: noarch
BuildRequires: /usr/bin/pod2man

%description
The OLPC Software Development Kit provides a collection
of tools useful to developers creating applications for
the OLPC platform

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS ChangeLog
/usr/bin/olpc-simulator
/usr/share/man/man1/olpc-simulator.1*

%changelog
* Mon Feb  6 2006  <berrange@localhost.localdomain> - 0.4-1
- Added dependancy on Net::DBus
- Removed bogus dependancy on qemu-admin

* Fri Jan 13 2006  <berrange@merton.london.redhat.com> - 0.3-1
- Added olpc-simulator tool and associated manual page 

* Fri Jan  6 2006 Daniel Berrange <berrange@redhat.com> - 0.1-2
- Include a timestamp in release number for automated builds

* Fri Jan  6 2006 Daniel Berrange <berrange@redhat.com> - 0.1-1
- Initial RPM packaging

